#ifndef TCLCL_CONFIG_H
#define TCLCL_CONFIG_H

#ifdef WIN32

#include <windows.h>
#include <winsock.h>
typedef u_int UINT;

#ifndef TIMEZONE_DEFINED_
#define TIMEZONE_DEFINED_
struct timezone {
	int tz_minuteswest;
	int tz_dsttime;
};
#endif 
    
#if defined(__cplusplus)
extern "C" {
#endif
        int gettimeofday(struct timeval *tp, struct timezone *tz);
        void displayErr(const char* prefix);

#if defined(__cplusplus)
} /* end extern "C" */
#endif

#endif /* WIN32 */

// 64-bit integer support
// Can we assume the existence of int64_t??  No
#if defined(HAVE_STRTOQ)
#define HAVE_INT64
#define STRTOI64 strtoq
#define STRTOI64_FMTSTR "%qd"
#elif defined(HAVE_STRTOLL)
#define HAVE_INT64
#define STRTOI64 strtoll
#define STRTOI64_FMTSTR "%lld"
#ifndef int64_t
typedef longlong_t int64_t;
#endif
#endif

#endif /*TCLCL_CONFIG_H*/
